> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Archive Entities

> Handles the removal (archival) of one or multiple entities,
     *          including archival of sponsorships, removal of commitments, and updates to the cache.



## OpenAPI

````yaml delete /admin/entities/{program_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/entities/{program_id}:
    delete:
      tags:
        - Entities
      summary: Archive Entities
      description: |-
        Handles the removal (archival) of one or multiple entities,
             *          including archival of sponsorships, removal of commitments, and updates to the cache.
      operationId: removeEntitiesRequest
      parameters:
        - name: program_id
          in: path
          description: Program ID from which to remove entities
          required: true
          schema:
            type: integer
        - name: entity_ids
          in: query
          description: Comma-separated list of entity IDs to delete
          required: true
          schema:
            type: string
            example: 1,2,3
      responses:
        '200':
          description: Entities successfully removed
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Successfully Removed
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````